<?php
namespace Teknisa\CDP\Modules\Producao\Factories;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO\Response\Error;

class cdp01500ParametrosMrpFactory {
    protected $connection;
    protected $params;
    const MAXNVPRODUTO = "SELECT MAX(CDNVPRODUTO) AS MAXNVPROD FROM PRODUTO";
    
    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->connection = $entityManager->getConnection();
    }
    
    public function getMaxNvProduto(){
        try {
            $params = array();
            return $this->connection->fetchAll(self::MAXNVPRODUTO, $params);
        } catch (\Exception $e) {
            throw $e;
        }
    }
    
    public function UpdateParametro($rows){
        try{
            $sql = "UPDATE PARAMPRODMRP 
                        SET CDPERIPRODU = :CDPERIPRODU,
                        HRENTRPROD = :HRENTRPROD,
                        IDAPLICHRSEG = :IDAPLICHRSEG,
                        IDGERAOPCONF = :IDGERAOPCONF,
                        QTHRSEGPROD = :QTHRSEGPROD
                        WHERE NRORG = :NRORG AND
                        CDFILIAL = :CDFILIAL AND
                        CDPRODUTO = :CDPRODUTO";
    
            $params = array(
                'CDPERIPRODU'=>$rows['CDPERIPRODU'],
                'HRENTRPROD'=>$rows['HRENTRPROD'],
                'IDAPLICHRSEG'=>$rows['IDAPLICHRSEG'],
                'IDGERAOPCONF'=>$rows['IDGERAOPCONF'],
                'QTHRSEGPROD'=>$rows['QTHRSEGPROD'],
                'NRORG'=>$rows['NRORG'],
                'CDFILIAL'=>$rows['CDFILIAL'],
                'CDPRODUTO'=>$rows['CDPRODUTO']
            );
    
            $std = $this->connection->prepare($sql);
            $std->execute($params);
        } catch(\Exception $e){
    	       throw new \Exception($e->getMessage(),1);
        }
    }
}