<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;

use Teknisa\CDP\Modules\Producao\Factories\cdp01500ParametrosMrpFactory;

class cdp01500ParametrosMrpService {
    
    protected $entityManager;
    protected $cdp01500ParametrosMrpFactory;
    
    public function __construct(EntityManager $entityManager, cdp01500ParametrosMrpFactory $cdp01500ParametrosMrpFactory){
        $this->entityManager = $entityManager;
        $this->cdp01500ParametrosMrpFactory = $cdp01500ParametrosMrpFactory;
    }
    
    public function getMaxNvProduto(){
        return $this->cdp01500ParametrosMrpFactory->getMaxNvProduto();
    }
    
    public function UpdateParametro($rows){
    	return $this->cdp01500ParametrosMrpFactory->UpdateParametro($rows);
    }
}