<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;


class cdp06400PontosCriticosService {

	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $cdp06400PontosCriticosFactory;

	public function __construct(Environment $environment, EntityManager $entityManager, $cdp06400PontosCriticosFactory){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->cdp06400PontosCriticosFactory = $cdp06400PontosCriticosFactory;
	}

	
    public function incrementeCodigo($rows){
        try{
    
          return $this->cdp06400PontosCriticosFactory->incrementeCodigoPontoCritico($this->environment->getNrOrgTrab());
	
        }catch (\Exception $e) {
	        $this->entityManager->rollback();
	        throw $e;
	    }
        
        
    }


}

?>